Bug 226902 - security/php72-openssl: fix build with libressl-devel
Summary: security/php72-openssl: fix build with libressl-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL: https://bugs.php.net/bug.php?id=76174
Keywords: needs-qa, patch
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-03-24 23:10 UTC by Piotr Kubaj
Modified: 2018-04-26 10:46 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments
patch (1.04 KB, patch)
2018-03-24 23:10 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-03-24 23:10:29 UTC
Created attachment 191793 [details]
patch

Newly released LibreSSL 2.7 brings about a number of incompatibilities. The attached patch makes it possible to build a working PHP 7.2 OpenSSL module against LibreSSL 2.7.

Tested with Poudriere on 10.4-RELEASE.

I didn't (yet) try building older PHP versions against LibreSSL 2.7, but they most likely need a similar patch.
Comment 1 Bernard Spil freebsd_committer 2018-03-25 13:23:12 UTC
Hi Piotr,

I take it this patch is for the lang/php72 master port?

Please always create patches relative to /usr/ports.

Bernard.
Comment 2 Piotr Kubaj freebsd_committer 2018-03-25 15:32:22 UTC
(In reply to Bernard Spil from comment #1)
No, it's actually for php72-openssl, not a php72 port. I tried to create a patch for the master port, but it wasn't used during compilation, so I just put it in php72-openssl/files and it works.
Comment 3 Bernard Spil freebsd_committer 2018-04-02 18:05:12 UTC
Link to upstream bug report https://bugs.php.net/bug.php?id=76174
Comment 4 Torsten Zuehlsdorff freebsd_committer 2018-04-05 09:02:16 UTC
Thanks for the patch, i will have a look at it.
Comment 5 commit-hook freebsd_committer 2018-04-26 10:15:34 UTC
A commit references this bug:

Author: tz
Date: Thu Apr 26 10:15:13 UTC 2018
New revision: 468343
URL: https://svnweb.freebsd.org/changeset/ports/468343

Log:
  security/php72-openssl: fix build with libressl-devel

  LibreSSL 2.7 brings out a number of incompatibilities.
  The new patch allows PHP to compile against the new LibreSSL version.

  PR:		226902
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/security/php72-openssl/files/
  head/security/php72-openssl/files/patch-openssl.c
Comment 6 commit-hook freebsd_committer 2018-04-26 10:26:46 UTC
A commit references this bug:

Author: tz
Date: Thu Apr 26 10:25:57 UTC 2018
New revision: 468345
URL: https://svnweb.freebsd.org/changeset/ports/468345

Log:
  security/php70-openssl and security/php71-openssl: fix build with libressl-devel

  LibreSSL 2.7 brings out a number of incompatibilities.
  The new patch allows PHP to compile against the new LibreSSL version.

  It is ported from security/php72-openssl in r468343

  PR:		226902
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/security/php70-openssl/files/
  head/security/php71-openssl/files/
Comment 7 Torsten Zuehlsdorff freebsd_committer 2018-04-26 10:46:54 UTC
Patch committed and also ported to PHP 7.0 and PHP 7.1.

Thanks a lot!
Torsten